Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class ELNode.Nodes

    java.lang.Object
      org.apache.jasper.compiler.ELNode.Nodes

Enclosing class:
  org.apache.jasper.compiler.ELNode

public static class ELNode.Nodes
extends java.lang.Object

An ordered list of ELNode.

Constructor Summary
`ELNode.Nodes()`

Method Summary
`void` | `add(org.apache.jasper.compiler.ELNode en)`
`boolean` | `containsEL()`
`java.lang.String` | `getMapName()`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`void` | `setMapName(java.lang.String name)`
`void` | `visit(ELNode.Visitor v)` Visit the nodes in the list with the supplied visitor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELNode.Nodes

    public ELNode.Nodes()

Method Detail

### add

    public void add(org.apache.jasper.compiler.ELNode en)

### visit

    public void visit(ELNode.Visitor v)
               throws JasperException

  Visit the nodes in the list with the supplied visitor

  Parameters:
    `v` - The visitor used
  Throws:
    `JasperException`

### iterator

    public java.util.Iterator iterator()

### isEmpty

    public boolean isEmpty()

### containsEL

    public boolean containsEL()

  Returns:
    true if the expression contains a ${...}

### setMapName

    public void setMapName(java.lang.String name)

### getMapName

    public java.lang.String getMapName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.